ML-ANTLR(1)

NAME
ml-antlr - an LL(k) parser generator

SYNOPSIS

ml-antlr [OPTIONS] file

DESCRIPTION

ML-Antlr is an LL(k) parser generator for Standard ML that is loosely modeled on Terence Parr’s ANTLR parser generator.

OPTIONS

--dot
    generate DOT output (The generated file will be named file.dot, where file is the input file.

--latex
    generate a simple LaTeX version of the grammar, named file.tex.

--unit-actions
    ignore the action code in the grammar, and instead return unit for every production.

AUTHOR

ml-antlr(1) was written by Aaron Turon.

COPYING

Copyright © 2017 The Fellowship of SML/NJ

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE-ALSO

ml-ulex(1)